/*--overflow--*/
.overflow-auto {
    overflow: auto;
}

.overflow-hidden {
    overflow: hidden;
}

.overflow-scroll {
    overflow: scroll;
}

.overflow-visible {
    overflow: visible;
}

.x-overflow-auto {
    overflow-x: auto;
}

.x-overflow-hidden {
    overflow-x: hidden;
}

.x-overflow-scroll {
    overflow-x: scroll;
}

.x-overflow-visible {
    overflow-x: visible;
}

.y-overflow-auto {
    overflow-y: auto;
}

.y-overflow-hidden {
    overflow-y: hidden;
}

.y-overflow-scroll {
    overflow-y: scroll;
}

.y-overflow-visible {
    overflow-y: visible;
}

/*--z-index--*/

.index-z-1 {
    z-index: 1;
}

.index-z-9 {
    z-index: 9;
}

.index-z-99 {
    z-index: 99;
}

.index-z-999 {
    z-index: 999;
}

.index-z-9999 {
    z-index: 9999;
}

/*--leftright--*/
.left-0 {
    left: 0;
}
.right-0 {
    right: 0;
}
.top-0 {
    top: 0;
}
.bottom-0 {
    bottom: 0;
}

/*--position--*/

.static-pos {
    position: static;
}

.relative-pos {
    position: relative;
}

.fixed-pos {
    position: fixed;
}

.absolute-pos {
    position: absolute;
}

.relative-abs-pos {
    position: relative;
}

@media screen and (max-width:576px) {
    .relative-abs-pos {
        position: absolute;
    }
}

@media screen and (min-width:576px) {
    .relative-abs-pos {
        position: absolute;
    }
}

@media screen and (min-width:577px) {
    .relative-abs-pos {
        position: relative;
    }
}

/*--list-style--*/
.style-list-none {
    list-style: none;
}

/*--cursor--*/
.handCursor {
    cursor: pointer;
}

/*--overflow-responsive--*/
.overflow-hidden-reponsive {
    overflow: hidden;
}

@media screen and (max-width:576px) {
    .overflow-hidden-reponsive {
        overflow: auto;
    }
}

@media screen and (min-width:576px) {
    .overflow-hidden-reponsive {
        overflow: auto;
    }
}

@media screen and (min-width:577px) {
    .overflow-hidden-reponsive {
        overflow: hidden;
    }
}
